org.springframework.web.socket.client.standard

## Class WebSocketContainerFactoryBean

- java.lang.Object
- - org.springframework.web.socket.client.standard.WebSocketContainerFactoryBean

All Implemented Interfaces:
  org.springframework.beans.factory.FactoryBean<WebSocketContainer>

    public class WebSocketContainerFactoryBean
    extends Object
    implements org.springframework.beans.factory.FactoryBean<WebSocketContainer>

A FactoryBean for creating and configuring a `WebSocketContainer` through Spring XML configuration. In Java configuration, ignore this class and use `ContainerProvider.getWebSocketContainer()` instead.

Since:
  4.0
Author:
  Rossen Stoyanchev

### Field Summary

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

### Constructor Summary

Constructors
Constructor and Description
`WebSocketContainerFactoryBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getAsyncSendTimeout()`
`int` `getMaxBinaryMessageBufferSize()`
`long` `getMaxSessionIdleTimeout()`
`int` `getMaxTextMessageBufferSize()`
`WebSocketContainer` `getObject()`
`Class<?>` `getObjectType()`
`boolean` `isSingleton()`
`void` `setAsyncSendTimeout(long timeoutInMillis)`
`void` `setMaxBinaryMessageBufferSize(int bufferSize)`
`void` `setMaxSessionIdleTimeout(long timeoutInMillis)`
`void` `setMaxTextMessageBufferSize(int bufferSize)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebSocketContainerFactoryBean

    public WebSocketContainerFactoryBean()

### Method Detail

#### setAsyncSendTimeout

    public void setAsyncSendTimeout(long timeoutInMillis)

#### getAsyncSendTimeout

    public long getAsyncSendTimeout()

#### setMaxSessionIdleTimeout

    public void setMaxSessionIdleTimeout(long timeoutInMillis)

#### getMaxSessionIdleTimeout

    public long getMaxSessionIdleTimeout()

#### setMaxTextMessageBufferSize

    public void setMaxTextMessageBufferSize(int bufferSize)

#### getMaxTextMessageBufferSize

    public int getMaxTextMessageBufferSize()

#### setMaxBinaryMessageBufferSize

    public void setMaxBinaryMessageBufferSize(int bufferSize)

#### getMaxBinaryMessageBufferSize

    public int getMaxBinaryMessageBufferSize()

#### getObject

    public WebSocketContainer getObject()
                                 throws Exception

Specified by:
  `getObject` in interface `org.springframework.beans.factory.FactoryBean<WebSocketContainer>`
Throws:
  `Exception`

#### getObjectType

    public Class<?> getObjectType()

Specified by:
  `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<WebSocketContainer>`

#### isSingleton

    public boolean isSingleton()

Specified by:
  `isSingleton` in interface `org.springframework.beans.factory.FactoryBean<WebSocketContainer>`